<?php require_once('Connections/conn.php'); ?>
<?php
 session_start();
  if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
	  
  // Captura las variables que vienen de inscripcion.php.
  $id_alumno=$_GET["id_alumno"];
  $id_carrera=$_GET["id_carrera"];
  $pensum=$_GET["pensum"];
  $id_periodo=$_GET["id_periodo"];
  $id_sede=$_GET['id_sede'];
  $mencion=$_GET['mencion'];
  $nivel=$_GET['nivel']; 
  $maximo=$_GET['maximo'];
  $condicion=$_GET['condicion'];
  $turno=$_GET['turno'];
  $ida=$_GET['ida_alumno'];
  $tipo_semestre=$_GET['tipo_semestre'];

  

  if($turno=='1') $nombre_turno="MATUTINO";
  if($turno=='2') $nombre_turno="VESPERTINO";
  if($turno=='4') $nombre_turno="NOCTURNO";
  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  $sqlAlumnos = "SELECT apellidos,nombres,cedula FROM alumnos WHERE id_alumno='$id_alumno'";
  $rstAlumnos = mysql_query($sqlAlumnos, $conn) or die(mysql_error());
  $rowAlumnos = mysql_fetch_assoc($rstAlumnos);
  $participante =$rowAlumnos["apellidos"].' '.$rowAlumnos["nombres"];
  $cedula =$rowAlumnos["cedula"];
  
  $sqlCarrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$id_carrera'";
  $rstCarrera = mysql_query($sqlCarrera, $conn) or die(mysql_error());
  $rowCarrera = mysql_fetch_assoc($rstCarrera);
  $nombre_carrera =$rowCarrera["nombre_carrera"];
  
  $nombre_mencion="COMPONENTE GENERAL";
  if($mencion!="COMUN"){
     $sql_mencion = "SELECT nombre_mencion FROM menciones WHERE id_carrera='$id_carrera' AND id_mencion='$mencion'";
     $rst_mencion = mysql_query($sql_mencion, $conn) or die(mysql_error());
     $row_mencion = mysql_fetch_assoc($rst_mencion);
     $nombre_mencion =$row_mencion["nombre_mencion"];
  }
  $sqlPeriodo = "SELECT codigo,tipo FROM periodos WHERE id_periodo='$id_periodo'";
  $rstPeriodo = mysql_query($sqlPeriodo, $conn) or die(mysql_error());
  $rowPeriodo = mysql_fetch_assoc($rstPeriodo);
  $codigo_periodo =$rowPeriodo["codigo"].' ('.$rowPeriodo["tipo"].')';
  
  $sqlSede = "SELECT nombre_sede FROM sedes WHERE codigo='$id_sede'";
  $rstSede = mysql_query($sqlSede, $conn) or die(mysql_error());
  $rowSede = mysql_fetch_assoc($rstSede);
  $nombre_sede =$rowSede["nombre_sede"];
  
  $sqlCarreraAlum = "SELECT seccion FROM carreras_alumno WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera'";
  $rstCarreraAlum = mysql_query($sqlCarreraAlum, $conn) or die(mysql_error());
  $rowCarreraAlum = mysql_fetch_assoc($rstCarreraAlum);
  $seccion_alum =$rowCarreraAlum["seccion"];
  
    // Limpia el record tenporal del estudiante
	 $sql = "delete from inscripciones_tmp where id_alumno='$id_alumno'";
     mysql_query($sql, $conn) or die(mysql_error());
?>

<html>
<head>
<title>sadce -- documentos alumno</title>
<meta name="generator" http-equiv="content-type" content="text/html; charset=UTF-8">
<link href="css/main.css" rel="stylesheet" type="text/css">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    background-color: #FFFFFF01;
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    background-color: #FFFFFF01;
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
.style3 {font-size: 14px}
.style5 {color: #FF0000}
.style10 {
	font-size: 10px;
	color: #333333;
}
.style11 {
	font-size: 12px;
	color: #000000;
}
</style>
</head>
<body>
<form  method="post" name="form1" id="form1" action="mostrar_seleccion_intensivo.php?id_alumno=<?php echo $id_alumno; ?>&turno=<?php echo $turno; ?>&id_carrera=<?php echo $id_carrera; ?>&pensum=<?php echo $pensum; ?>&id_periodo=<?php echo $id_periodo; ?>&id_sede=<?php echo $id_sede; ?>&mencion=<?php echo $mencion; ?>&nivel=<?php echo $nivel; ?>&nuevo_ingreso=<?php echo $nuevo_ingreso; ?>&ida_alumno=<?php echo $ida; ?>">

"
<table class="bd" width="100%">
	<tr><td class="hr"><h2>&nbsp;Oferta Acad&eacute;mica Disponible</h2></td></tr>
	
	<tr></tr>
</table>


<?php
   require_once('Connections/conn.php'); 
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  $showrecs = 15;
  $pagerange = 10;
		   
 // Toma la Oferta Academica disponible para el estudiante en su Turno.
//if($turno==4){
     $sql_oferta = "SELECT oferta_academica.*,materias.nombre_materia, materias.uc,materias.id_mencion, materias.nivel FROM  oferta_academica,materias WHERE oferta_academica.id_materia=materias.id_materia and oferta_academica.id_periodo='$id_periodo' and oferta_academica.id_carrera='$id_carrera' and oferta_academica.sede='$id_sede'  and (oferta_academica.mencion='$mencion' or oferta_academica.mencion='COMUN') and oferta_academica.turno='$turno' ORDER BY oferta_academica.semestre,oferta_academica.id_seccion,oferta_academica.turno"; 
	// echo $sql_oferta; 
//}
/* else{
	 $sql_oferta = "SELECT oferta_academica.*,materias.nombre_materia,materias.uc,materias.id_mencion, materias.nivel  FROM  oferta_academica,materias WHERE oferta_academica.id_materia=materias.id_materia and oferta_academica.id_periodo='$id_periodo' and oferta_academica.id_carrera='$id_carrera' and oferta_academica.sede='$id_sede' and (oferta_academica.mencion='$mencion' or oferta_academica.mencion='COMUN') and oferta_academica.turno<4 ORDER BY oferta_academica.semestre,oferta_academica.id_seccion,oferta_academica.turno";
} */
$rst_oferta = mysql_query($sql_oferta, $conn) or die(mysql_error());
$num_oferta = mysql_num_rows($rst_oferta);
if($num_oferta>0) {
   while($row_oferta = mysql_fetch_assoc($rst_oferta))
         {
	      // Toma los datos de la sección y el profesor de la materia ofertada.
	      $seccion=$row_oferta["id_seccion"];
		   $codigo_seccion=$row_oferta["codigo_seccion"];
		  $id_docente=$row_oferta["id_profesor"];
		  $turno=$row_oferta["turno"];
		  $id_materia=$row_oferta["id_materia"];
		  $nom_materia=$row_oferta["nombre_materia"];
		  $semestre=$row_oferta["semestre"];
		  $cupos=$row_oferta["cupos"]-$row_oferta["inscritos"];
		  $uc=$row_oferta["uc"];
		  $mencion_materia=$row_oferta["mencion"];
		  $nivel_materia=$row_oferta["nivel"];
		    	   
		  // Verifica si la materia está NO aprobada o NO cursada. 
		  if(!aprobada($id_materia,$id_alumno)){
		      // Verifica si la materia tiene su equivalente NO aprobada o NO cursada.
		      if(!equivalente_aprobada($id_materia,$id_alumno)){
			     if(prelaciones_aprobadas($id_materia,$id_alumno) or prelaciones_equivalentes_aprobadas($id_materia,$id_alumno)) {
			           // Verifica si ya el alumno tiene la materia inscrita temporalmente.
			           $sql_tmp_alum = "SELECT * FROM  inscripciones_tmp WHERE id_alumno='$id_alumno' and                                      id_materia='$id_materia' and id_seccion='$seccion'";
			           $rst_tmp_alum = mysql_query($sql_tmp_alum, $conn) or die(mysql_error());
			           $rows_tmp_alum = mysql_num_rows($rst_tmp_alum);
			           if($rows_tmp_alum==0){
			              // Agrega la materia a la Tabla de Inscripción Temporal.
					      $sql = "insert into inscripciones_tmp (`id_alumno`, `id_periodo`, `id_carrera`,                                `id_materia`,`nombre_materia`, `semestre`, `id_seccion`, `sede`, `id_docente`,                                `inscrita`,`uc`, turno, cupos, mencion, nivel,codigo_seccion) values                                 ('$id_alumno','$id_periodo','$id_carrera','$id_materia','$nom_materia', '$semestre','$seccion', '$id_sede', '$id_docente', 'N','$uc','$turno','$cupos','$mencion_materia','$nivel_materia','$codigo_seccion')";
						 mysql_query($sql, $conn) or die(mysql_error());
				      } 	
				      $ofertada++;
			        
                 } 
			  } //Fin del if($equivalencias...	   
			}	// Fin del If($num_aprobadas==0)
	    } // Fin del While 
	}
		
  $tblInscripciones = "SELECT DISTINCT id_materia, nombre_materia, semestre,uc FROM  inscripciones_tmp WHERE id_alumno='$id_alumno' order by semestre,nombre_materia";
  $rstTblInscripciones = mysql_query($tblInscripciones, $conn) or die(mysql_error());
  $rowTblInscripciones = mysql_fetch_assoc($rstTblInscripciones);
  $rowsTblInscripciones = mysql_num_rows($rstTblInscripciones);	
  

  ?>
  <table width="95%" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
   
	<td colspan="2"  align="left" class="style3"><div align="left"><b>ESTUDIANTE:</b>&nbsp;<?php echo $participante; ?>&nbsp;&nbsp;&nbsp;<b>C&Eacute;DULA:</b>&nbsp;<?php echo  number_format($cedula,0,",","."); ?>&nbsp;</div></td>
  </tr>
  <tr>
     <td  colspan="3" align="left" class="style3"><b>CARRERA:</b>&nbsp;LIC. EN CIENCIAS FISCALES&nbsp;&nbsp;&nbsp;<b>MENCI&Oacute;N:</b>&nbsp;<?php echo $nombre_mencion; ?></td>
  </tr>
  <tr>
     <td colspan="2"  align="left" class="style3" ><b>LAPSO:</b>&nbsp;<?php echo $codigo_periodo; ?>&nbsp;&nbsp;&nbsp;<b>SEDE:</b>&nbsp;<?php echo $nombre_sede; ?>&nbsp;&nbsp;&nbsp;<b>TURNO:</b>&nbsp;<?php echo $nombre_turno; ?>&nbsp;</td>
  </tr>
  <tr >
	 <td width="82%"  align="left" class="style3"><b>UNIDADES CURRICULARES INSCRITAS:</b></span>&nbsp;&nbsp;<input align="left" name="creditos_inscritos" id="creditos_inscritos" type="text" size="1" maxlength="2" value="0" readonly="true">
      /2&nbsp;PERMITIDAS</div><input name="oculto" type="hidden" value="No Procesando"></td>
     <td width="18%"  align="left" class="style3"><div align="right"><span class="style5"><b>IDA:</b></span>&nbsp;<?php echo  number_format($ida,2,",","."); ?>&nbsp;&nbsp;</div></td>
  </tr>
  </table>
  <hr size="1" noshade>
  <table width="98%" border="1" align="center" cellpadding="0" cellspacing="0">
  
  <iframe name="comando" id="comando" frameborder="0" height="0" width="0"></iframe>
  <tr align="center" id="titulo1">
	<td align="center" width="2"><span class="style4">Sem.</span></td>
    <td align="center" width="7"><span class="style4">C&oacute;digo</span></td>
    <td align="center" width="250"><span class="style4">Nombre de la Unidad Curricular</span></td>
	<td align="center" width="7"><span class="style4">UC</span></td>
	<td align="center" width="10"><span class="style4">Secci&oacute;n/Turno</span></td>
  </tr> 
  <?php 
  $nro=1;
  do { 
    
	$id_materia=$rowTblInscripciones['id_materia'];
	$semestre=$rowTblInscripciones['semestre'];
	
	 $tblInscripciones1 = "SELECT turno,cupos FROM  inscripciones_tmp WHERE id_alumno='$id_alumno' and id_materia='$id_materia' and semestre='$semestre'";
	 
  $rstTblInscripciones1 = mysql_query($tblInscripciones1, $conn) or die(mysql_error());
  $rowTblInscripciones1 = mysql_fetch_assoc($rstTblInscripciones1);
	$turno=$rowTblInscripciones1['turno'];
	
	
	// Investigar la seccion.
	
	$nombre_turno="0";
	if($turno==1){
	   $nombre_turno="Matutino";
	   }
	 if($turno==2){
	   $nombre_turno="Vespertino";
	   }
	if($turno==4){
	   $nombre_turno="Nocturno";
	   }
  ?>
    <tr>
       
	  <td width="2"><div align="center" class="style10 style11"><?php echo $rowTblInscripciones['semestre']; ?></div></td>
	  
	  <td><div align="center" class="style10 style11">&nbsp;<?php echo $rowTblInscripciones['id_materia']; ?>&nbsp;</div></td>
	  
	   <td><div align="left" class="style10 style11">&nbsp;<?php echo $rowTblInscripciones['nombre_materia']; ?></div></td>
	  
	   <td><div align="center" class="style10 style11">&nbsp;<?php echo $rowTblInscripciones['uc']; ?></div></td>
	  
	   <td><div align="center" class="style10 style11">&nbsp;
	   <select name="seccion" id="seccion<?php echo $nro; ?>" onChange="cambiar_status('<?php echo $id_alumno; ?>','<?php echo $id_carrera; ?>','<?php echo $id_periodo; ?>', '<?php echo $id_sede; ?>', '<?php echo $rowTblInscripciones["id_materia"]; ?>', '<?php echo $rowTblInscripciones["uc"]; ?>',document.form1.creditos_inscritos.value, '<?php echo $nro; ?>', '<?php echo $semestre; ?>','<?php echo $maximo; ?>', this.value)">
		    <option value="0">..</option> 
		
		<?php
	
		$sql_secciones = "SELECT id_seccion FROM inscripciones_tmp WHERE id_alumno='$id_alumno' and id_materia='$id_materia' order by id_seccion";
$rst_secciones = mysql_query($sql_secciones, $conn) or die(mysql_error());
$row_secciones = mysql_fetch_assoc($rst_secciones);
$total_rows_secciones = mysql_num_rows($rst_secciones);

do {  
   
?>
          
          <option value="<?php echo $row_secciones['id_seccion']; ?>"><?php echo $row_secciones['id_seccion'].' - '.$nombre_turno; ?></option>
          <?php
		
} while ($row_secciones = mysql_fetch_assoc($rst_secciones));
  $rows = mysql_num_rows($rst_secciones);
  if($rows > 0) {
      mysql_data_seek($rst_secciones, 0);
	  $row_secciones = mysql_fetch_assoc($rst_seciones);
  }
?>
		
	      </select>&nbsp;
		   <label>
	      <input disabled="disabled" name="checkbox<?php echo $nro; ?>" id="checkbox<?php echo $nro; ?>" type="checkbox"  value="<?php echo $nro; ?>">
	      </label>
	   </div></td>
    </tr>
    <?php 
	$nro++;
	   } while ($rowTblInscripciones = mysql_fetch_assoc($rstTblInscripciones)); ?>
</table>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
	<tr>
	  <td>&nbsp;</td>
	</tr>
</table>
<div align="center">
  <input disabled="disabled" name="inscribir" id="inscribir" type="submit" value="Inscribir">
</div>
 <hr size="1" noshade>
</form>
</body>
</html>
<?php function prelaciones($id_materia,$id_alumno)
{
  global $conn;
  
  $sql = "SELECT * FROM `prelaciones` where id_materia='$id_materia'";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $num_prelaciones = mysql_num_rows($res);
  
  $sql = "SELECT id_materia
           FROM `historico_notas_aux`
           WHERE historico_notas_aux.nota >=10
		         and id_alumno='$id_alumno'
                 AND id_materia
                     IN (SELECT id_prelacion
                         FROM prelaciones
                         WHERE id_materia = '$id_materia')";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $prelaciones_aprobadas = mysql_num_rows($res);
  $num=$num_prelaciones-$prelaciones_aprobadas;
  return $num;
} 	 

?>

<?php function aprobada($id_materia,$id_alumno)
{
  global $conn;
  global $id_carrera;

  $sql_aprobada = "SELECT nota FROM  historico_notas_aux WHERE id_carrera='$id_carrera' and id_materia='$id_materia' and id_alumno='$id_alumno' and (nota>=10 or cualitativa='APROBADA' or cualitativa='EXONERADA')";
  $rst_aprobada = mysql_query($sql_aprobada, $conn) or die(mysql_error());
  $num_aprobada = mysql_num_rows($rst_aprobada);
  // if($id_materia=="CON2202") echo $sql_aprobada.'<br>';
  if($num_aprobada>0)return true;
                else return false;
}

?>

<?php function prelaciones_aprobadas($id_materia,$id_alumno)
{
  global $conn;
  $sql = "SELECT * FROM `prelaciones` where id_materia='$id_materia'";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $num_prelaciones = mysql_num_rows($res);
  
  $sql = "SELECT id_materia
           FROM `historico_notas_aux`
           WHERE (historico_notas_aux.nota >=10 or historico_notas_aux.cualitativa='APROBADA' or cualitativa='EXONERADA')
		         and id_alumno='$id_alumno'
                 AND id_materia
                     IN (SELECT id_prelacion
                         FROM prelaciones
                         WHERE id_materia = '$id_materia')";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $prelaciones_aprobadas = mysql_num_rows($res);
  $num=$num_prelaciones-$prelaciones_aprobadas;
  // if($id_materia=="CON3202") echo $sql.'<br>';
  if($num==0)return true;
        else return false;
} 	 

?>

<?php function prelaciones_equivalentes_aprobadas($id_materia,$id_alumno)
{
  global $conn;
  
  $sql = "SELECT * FROM `prelaciones` where id_materia='$id_materia'";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $numero_de_prelaciones = mysql_num_rows($res);
  $prelaciones_aprobadas=0;
  if($numero_de_prelaciones>0) {
     while($row = mysql_fetch_assoc($res)){
           $prelacion=$row["id_prelacion"];
           $sql = "SELECT original FROM `equivalencias` where adecuado='$prelacion'";
           $res = mysql_query($sql, $conn) or die(mysql_error());
           $row = mysql_fetch_assoc($res);
           $num_prelaciones = mysql_num_rows($res);
           $prelacion_equivalente=$row["original"];
           $sql = "SELECT id_materia
                   FROM `historico_notas_aux`
                   WHERE (historico_notas_aux.nota>=10 OR historico_notas_aux.cualitativa='APROBADA' or historico_notas_aux.cualitativa='EXONERADA') AND
		                 id_alumno='$id_alumno' AND
                         id_materia='$prelacion_equivalente'";
  	      $res1 = mysql_query($sql, $conn) or die(mysql_error());
          $num_res1 = mysql_num_rows($res1);
		  if($num_res1>0) $prelaciones_aprobadas++;
	  }	    
   }	
   $num=$numero_de_prelaciones-$prelaciones_aprobadas; 
   if($num==0)return true;
         else return false;
} 	 

?>

<?php function equivalente_aprobada($id_materia,$id_alumno)
{
  global $conn;
  
  $sql = "SELECT * FROM `equivalencias` where adecuado='$id_materia'";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $num_equivalencias = mysql_num_rows($res);
  
  $sql = "SELECT id_materia
           FROM `historico_notas_aux`
           WHERE (historico_notas_aux.nota >=10 OR historico_notas_aux.cualitativa='APROBADA' or historico_notas_aux.cualitativa='EXONERADA')
		         and id_alumno='$id_alumno'
                 AND id_materia
                     IN (SELECT original
                         FROM equivalencias
                         WHERE adecuado = '$id_materia')";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $equivalencias_aprobadas = mysql_num_rows($res);
  if($equivalencias_aprobadas>0){ 
     return true;
  }
  else{  
     return false;
  }
} 	 

?>

<script type="text/javascript">
	
	function cambiar_status(id_alumno,id_carrera,id_periodo,id_sede,id_materia,uc,uci,nro,semestre,maximo,seccion)
	{
	  url="cambiar_status_materia_intensivo.php?id_alumno="+id_alumno+"&id_carrera="+id_carrera+"&id_periodo="+id_periodo+"&id_sede="+id_sede+"&id_materia="+id_materia+"&uc="+uc+"&uci="+uci+"&nro="+nro+"&maximo="+maximo+"&semestre="+semestre+"&seccion="+seccion;
	  comando.location=url;
	}

</script>  

